"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const filter_clause_1 = require("../../../common/models/filter-clause/filter-clause");
const general_1 = require("../../../common/utils/general/general");
const filter_definition_1 = require("../../../common/view-definitions/version-4/filter-definition");
const request_errors_1 = require("../request-errors/request-errors");
function parseStringFilterClause(req, dataCube) {
    const clauseJS = req.body.clause;
    if (general_1.isNil(clauseJS)) {
        throw new request_errors_1.InvalidRequestError("expected clause parameter");
    }
    let clause;
    try {
        clause = filter_definition_1.filterDefinitionConverter.toFilterClause(clauseJS, dataCube);
    }
    catch (error) {
        throw new request_errors_1.InvalidRequestError(error.message);
    }
    if (clause.type !== filter_clause_1.FilterTypes.STRING) {
        throw new request_errors_1.InvalidRequestError(`expected string filter clause, but got ${clause.type}`);
    }
    return clause;
}
exports.parseStringFilterClause = parseStringFilterClause;
//# sourceMappingURL=parse-string-filter-clause.js.map