"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const view_definitions_1 = require("../../../common/view-definitions");
const request_errors_1 = require("../request-errors/request-errors");
function parseViewDefinitionConverter(req) {
    const { viewDefinitionVersion } = req.body;
    if (typeof viewDefinitionVersion !== "string") {
        throw new request_errors_1.InvalidRequestError("must have a viewDefinitionVersion");
    }
    const converter = view_definitions_1.definitionConverters[viewDefinitionVersion];
    if (converter == null) {
        throw new request_errors_1.InvalidRequestError("unsupported viewDefinitionVersion value");
    }
    return converter;
}
exports.parseViewDefinitionConverter = parseViewDefinitionConverter;
//# sourceMappingURL=parse-view-definition-converter.js.map